Subject: Re: [cygwin 1.3.11+]: Problem with /dev/dsp?
From: egor duda <[email-masked]>
To: Nicholas Wourms <[email-masked]>
Cc: [email-masked]
Date: Tue, 9 Jul 2002 10:31:11 +0400

Hi!

Monday, 08 July, 2002 Nicholas Wourms [email-masked] wrote:

NW> I just noticed an oddity with /dev/dsp.  I am working on a package which
NW> is expecting to use /dev/dsp as it would in bsd or linux.  The problem is
NW> that open() is no able to access it.  This behaviour can be reproduced by
NW> issuing "cat /dev/dsp".  The specific error I recieve with the program or
NW> the testcase is:

NW> /dev/dsp: Permission denied

Refer to mailing list archives. Searching for 'read dsp' immediately
reveals this message: http://sources.redhat.com/ml/cygwin/2002-06/msg00142.html

Cygwin's /dev/dsp can't be read from, it supports only writing.

Egor.            mailto:[email-masked] ICQ 5165414 FidoNet 2:5020/496.19

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/